{% extends "parent_template.html" %} {% block nav %}

<a href="/people">People</a>
<a href="/drinks">Drinks</a>
<a href="/round">Rounds</a>

{% endblock %} {% block content %}

<h2>ADD AN ORDER</h2>
<br />

<hr />

<div>
  <p>CURRENTLY ACTIVE ROUNDS:</p>
  <div>
    <form id="add_order_form" action="/add_order" method="POST">
      <p>{{ form.hidden_tag() }}</p>
      <p>
        {{ form.first_name.label }}<br />
        {{ form.first_name(size=32) }}
      </p>
      <p>
        {{ form.surname.label }}<br />
        {{ form.surname(size=32) }}
      </p>
      <p>
        {{ form.rounds.label }}<br />
        {{ form.rounds }}
      </p>
      <p>
        {{ form.drinks.label }}<br />
        {{ form.drinks }}
      </p>
      <p>{{ form.submit() }}</p>
    </form>
  </div>
</div>

{% endblock %} {% block script %}
<script type="text/javascript">
  function isAlphaNumeric(event) {
    event.preventDefault();
    const userInput = document.getElementById("user_input").value;
    const match = userInput.match(/^\w+$/);
    if (!match) {
      window.alert("Invalid input. Please enter alphanumeric characters only.");
    } else {
      window.alert("Input was valid. Input matched the regex.");
      return userInput;
    }
  }

  const form = document.getElementById("end_round_form");
  form.addEventListener("submit", isAlphaNumeric);
</script>
{% endblock %}
